/** 
 *   Site testing for SKA candidate.
 *
 *   (c) Copyright 2004 Federico Bareilles <fede@iar.unlp.edu.ar>,
 *   Instituto Argentino de Radio Astronomia (IAR).
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *
 **/
#define _GNU_SOURCE


#include <stdio.h>


#define SWITCH_1  0x01
#define SWITCH_2  0x02
#define SWITCH_3  0x04
#define CAL_DIODE 0x08


#define ANTENNA_1     (0)
#define ANTENNA_1_CAL (ANTENNA_1|CAL_DIODE)
#define ANTENNA_2     (SWITCH_1)
#define ANTENNA_2_CAL (ANTENNA_2|CAL_DIODE)
#define ANTENNA_3     (SWITCH_2)
#define ANTENNA_3_CAL (ANTENNA_3|CAL_DIODE)
#define ANTENNA_4     (SWITCH_3)
#define ANTENNA_4_CAL (ANTENNA_4|CAL_DIODE)



int antenna_switchs_set(char switchs)
{

	switch (switchs) {
	case 'A':
		
		break;

	default:
		return -1;
	}

	return 0;
}


		
